View Issue Details

IDProjectCategoryView StatusLast Update
0034646FPCCompilerpublic2019-12-26 22:13
ReporterSimon Kissel Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformarm-linux 
Product Version3.3.1 
Summary0034646: Compilation of sggzip library results in Internal error 200603253
DescriptionWhen compiling the sgzip library (and in a lot of other scenarios with real-life code), the compiler throws Internal error 200603253.

Note: The internal error also appears to occur with other platforms, however in this case the assembler error in 3.3.1 is thrown first, hiding the internal error.

Compiles just fine in 3.0.5 and all prior releases.
Steps To ReproduceAdapt internalerror.fpccfg-arm and crash_arm.bat to your paths, then run crash_arm.bat.
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget-
Attached Files

Activities

Simon Kissel

2018-12-04 20:26

reporter  

fpc-broken.zip (99,729 bytes)

Florian

2019-01-06 22:42

administrator   ~0113224

For now -Aas should be help, the internal assembler writer does not support the tls relocations yet.

Florian

2019-12-26 22:13

administrator   ~0120076

Should be fixed meanwhile.

Issue History

Date Modified Username Field Change
2018-12-04 20:26 Simon Kissel New Issue
2018-12-04 20:26 Simon Kissel File Added: fpc-broken.zip
2019-01-06 22:42 Florian Note Added: 0113224
2019-12-26 22:13 Florian Assigned To => Florian
2019-12-26 22:13 Florian Status new => resolved
2019-12-26 22:13 Florian Resolution open => fixed
2019-12-26 22:13 Florian FPCTarget => -
2019-12-26 22:13 Florian Note Added: 0120076